namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "fell_stinger")]
public class FellStinger : Script, IScriptOnAfterHits
{
    /// <inheritdoc />
    public void OnAfterHits(IExecutingMove move, IPokemon target)
    {
        if (target.IsFainted)
        {
            move.User.ChangeStatBoost(Statistic.Attack, 2, true, false);
        }
    }
}